commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sebb <seb...@gmail.com>
Subject [CANCELLED][VOTE][ALL] (lazy consensus) Commons Parent 40 based on RC2
Date Tue, 19 Apr 2016 18:05:08 GMT
There is a regression (no longer buildable with Java 1.6 due to felix
and build-helper changes)

Also some other updates are being made

On 19 April 2016 at 15:02, sebb <sebbaz@gmail.com> wrote:
> On 19 April 2016 at 00:59, sebb <sebbaz@gmail.com> wrote:
>> On 19 April 2016 at 00:02, Stian Soiland-Reyes <stain@apache.org> wrote:
>>> Sorry, I'll have to change that to -1 as the pom fails with Java 6 and
>>> Maven 3.0.5
>>
>> Not sure we can do anything about that.
>>
>> Nor is it necessary, as that is why the java-1.x profiles exist.
>>
>> It's also not a regression; CP39 (and earlier) have problems when
>> running Maven with Java 6.
>
> Sorry, I see that CP39 can still run with Java6 and Maven 3.2.5 (I've
> not tested 3.0.5).
>
> So it is a regression (and has a fairly easy fix, so I will do that)
>
>>> Caused by: java.lang.UnsupportedClassVersionError:
>>> org/codehaus/mojo/buildhelper/ParseVersionMojo : Unsupported
>>> major.minor version 51.
>>> [ERROR] Failed to execute goal
>>> org.codehaus.mojo:build-helper-maven-plugin:1.10:parse-version
>>> (parse-version) on project commons-parent: Execution parse-version of
>>> goal org.codehaus.mojo:build-helper-maven-plugin:1.10:parse-version
>>> failed: Unable to load the mojo 'parse-version' in the plugin
>>> 'org.codehaus.mojo:build-helper-maven-plugin:1.10' due to an API
>>> incompatibility:
>>> org.codehaus.plexus.component.repository.exception.ComponentLookupException:
>>> org/codehaus/mojo/buildhelper/ParseVersionMojo : Unsupported
>>> major.minor version 51.0
>>>
>>>
>>>
>>> Using
>>> docker run -it java:6 bash  (c303b30f54b5)
>>> https://archive.apache.org/dist/maven/maven-3/3.0.5/binaries/apache-maven-3.0.5-bin.tar.gz.sha1
>>> svn co https://svn.apache.org/repos/asf/commons/proper/commons-parent/tags/commons-parent-40-RC2/
>>>
>>> (adding -Pjava-1.6 does not help)
>>>
>>
>> The -Pjava-1.6 profile is intended for use when running Maven with Java 7 or 8.
>>
>>> yet the pom.xml claims:
>>>
>>> <!-- Do NOT change this; it must remain as 1.3 -->
>>> <maven.compiler.source>1.3</maven.compiler.source>
>>> <maven.compiler.target>1.3</maven.compiler.target>
>>
>> That is nothing to do with the Java versions for which the pom will work.
>>
>> It's there because that was the default compile version originally,
>> and so must not changed.
>> If a pom fails to specify the compiler version, it's important that
>> changing the parent pom does not change the compiler version.
>>
>> I assume all poms now define the version locally, but if not it will
>> force them to do so as they probably won't build with 1.3.
>> Changing this value would be akin to changing a public static constant.
>>
>>>
>>> Are we able to downgrade build-helper-maven-plugin if JDK < 1.7?   Or
>>
>> I don't think so.
>> Try it and see if you want, but it's not necessary because we have the
>> java profiles.
>>
>>> do we simply say that you need Java >=1.7  now? (In which case the
>>> above should change).
>>
>> No, it must not change, see above.
>>
>>> btw - build-helper-maven-plugin is activated by the
>>> parse-target-version profile for every build to - ironically perhaps -
>>> set javaTarget.* properties
>>
>> ? No idea what you mean by that.
>>
>>> On 18 April 2016 at 23:43, Stian Soiland-Reyes <stain@apache.org> wrote:
>>>> Vote: 0 (non-binding)
>>>>
>>>> +1 Signatures, hashes
>>>> +1 mvn apache-rat:check :)
>>>> +1 mvn install
>>>> +1 mvn -Prelease release:prepare -DdryRun=true on commons rdf using 40
>>>> as parent  (but see below)
>>>> -1 No archive for https://dist.apache.org/repos/dist/release/commons/
>>>> -1 Not using latest commons-skin 4.1
>>>>
>>>>
>>>> This doesn't use the latest version of commons-skin 4.1 (fixes COMMONSSITE-82)
>>>> but as that only affects projects outside http://commons.apache.org/
>>>> (e.g. only http://commonsrdf.incubator.apache.org/ ) I won't block on
>>>> that.
>>>>
>>>>
>>>>
>>>> BTW - this failed when I try to use 40 as parent in Commons RDF with
>>>> mvn clean install -Prelease :
>>>>
>>>> [ERROR] Failed to execute goal
>>>> org.apache.maven.plugins:maven-antrun-plugin:1.8:run (default-cli) on
>>>> project commons-rdf-parent: An Ant BuildException has occured: Specify
>>>> at least one source - a file or a resource collection.
>>>> [ERROR] around Ant part ...<checksum fileext=".md5"
>>>> algorithm="MD5">... @ 4:44 in
>>>> /home/stain/src/incubator-commonsrdf/target/antrun/build-main.xml
>>>> [ERROR] -> [Help 1]
>>>>
>>>> It seems related to this change to the Commons pom for the assembly plugin:
>>>>
>>>>                 <!-- COMMONSSITE-87 Ensure this runs after all package
>>>> phase plugins -->
>>>>                 <phase>verify</phase>
>>>>
>>>> As now our (probably unnecessary) antrun for hashing the dist-files in
>>>> target/ was run too early, in phase package:
>>>>
>>>> https://github.com/apache/incubator-commonsrdf/blob/master/pom.xml#L471
>>>>
>>>>
>>>> I modified the Commons RDF antrun to <phase>verify</phase> and
it was
>>>> fine - so I won't block on that.
>>>>
>>>> On 17 April 2016 at 12:50, sebb <sebbaz@gmail.com> wrote:
>>>>> Second try:
>>>>>
>>>>> The Apache Commons Parent POM provides common settings for all Apache
>>>>> Commons components.
>>>>>
>>>>>
>>>>> This is a VOTE to release Commons Parent 40 based on RC2
>>>>>
>>>>>
>>>>> This VOTE by LAZY-CONSENSUS is open for at least 72 hours
>>>>> It will close sometime after April 20 12:00 UTC
>>>>>
>>>>>
>>>>> Changes in this version include:
>>>>>
>>>>> - Update Apache parent: 16 -> 17
>>>>> - COMMONSSITE-87 - ensure assembly plugin runs after all package phase
plugins
>>>>> - Require minimum of Maven 3.0.5
>>>>> - maven-release-plugin 2.5.2 -> 2.5.3
>>>>> - buildnumber-maven-plugin 1.3 -> 1.4 (supports git SCM now)
>>>>> - maven-assembly-plugin 2.5.5 -> 2.6
>>>>> - maven-surefire-plugin 2.18.1 -> 2.19.1
>>>>> - maven-compiler-plugin : 3.3 -> 3.5.1
>>>>> - maven-changes-plugin : 2.11 -> 2.12
>>>>> - commons-build-plugin : 1.4 -> 1.5
>>>>> - felix:maven-bundle-plugin : 2.5.3 -> 3.0.1
>>>>> - maven-enforcer-plugin : 1.3.1 -> 1.4.1
>>>>> - maven-project-info-reports-plugin : 2.8 -> 2.9
>>>>> - maven-source-plugin : 2.4 -> 3.0.0
>>>>> - animal-sniffer-maven-plugin : 1.11 -> 1.15
>>>>> - build-helper-maven-plugin : 1.9.1 -> 1.10
>>>>> - clirr-maven-plugin : 2.6.1 -> 2.7
>>>>> - jacoco-maven-plugin : 0.7.5.201505241946 -> 0.7.6.201602180812
>>>>> - maven-clean-plugin : 2.6.1 -> 3.0.0
>>>>>
>>>>>
>>>>> The files (staged and md5sums):
>>>>>   https://repository.apache.org/content/repositories/orgapachecommons-1151/org/apache/commons/commons-parent/40/
>>>>>
>>>>> commons-parent-40.pom
>>>>> (SHA1: fe1642ea816ce800027c12f25d910dc76e0ae9ca)
>>>>> commons-parent-40-site.xml
>>>>> (SHA1: 4d6ee815f328527d2cf5319c0f7a00414ef1ffab)
>>>>>
>>>>>
>>>>> The tag:
>>>>>
>>>>> https://svn.apache.org/repos/asf/commons/proper/commons-parent/tags/commons-parent-40-RC2
>>>>>   Revision:  1739583
>>>>>
>>>>> The site: None.
>>>>>
>>>>> ---------------------------------------------------------------------
>>>>> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
>>>>> For additional commands, e-mail: dev-help@commons.apache.org
>>>>>
>>>>
>>>>
>>>>
>>>> --
>>>> Stian Soiland-Reyes
>>>> Apache Taverna (incubating), Apache Commons RDF (incubating)
>>>> http://orcid.org/0000-0001-9842-9718
>>>
>>>
>>>
>>> --
>>> Stian Soiland-Reyes
>>> Apache Taverna (incubating), Apache Commons RDF (incubating)
>>> http://orcid.org/0000-0001-9842-9718
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
>>> For additional commands, e-mail: dev-help@commons.apache.org
>>>

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message